For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
To list only a specific activity type (e.g., only `Call` or `LeadStatusChange`), use the other resources listed separately. When querying activities for a single lead (using the `lead_id` parameter), you can ask for multiple activity types using `_type__in`.
When listing [Custom Activities](https://developer.close.com/api/resources/activities/custom-activities), `_type` and `_type__in` can include Custom Activity Type ids (e.g. `actitype_1h5m6uHM9BZOpwVhyRJb4Y`) to filter by a specific custom activity type or `Custom` to list custom activities of any type.
The following filtering parameters can only be used for listing activities on a single lead (using the `lead_id` parameter): `user_id`, `user_id__in`, `contact_id`, `contact_id__in`, `_type`, `_type__in`.
All activities have two sortable datetime fields: `date_created` and `activity_at`. `date_created` denotes when an activity was created or synced into Close and `activity_at` denotes when that activity actually occurred. For example, on outgoing Email activities, `date_created` is equal to when the email was first created in Close, and `activity_at` is equal to when the email was actually sent. For Meeting activities, `activity_at` is equal to the scheduled time of the meeting. On custom activities, users are able to update the `activity_at` field at any time.
Sorting by `-activity_at` can only be used when listing activities on a single lead using the `lead_id` parameter. In addition, you can only use the date-based filters of the field you're currently sorting on. This means that if you want to use `activity_at__lt` and `activity_at__gt` as filters, you need to include `_order_by=-activity_at` in your request.
`thread_emails` parameter:
- (Default) when this parameter is not present, `Email` objects will be returned for each email message.
- A value of `true` will return `EmailThread` objects representing email conversations. Stripped-down version of `Email` objects will also be returned.
- A value of `only` will return `EmailThread` objects representing email conversations. `Email` objects will not be returned.
Authentication
AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
id__inlist of strings or nullOptional
Filter by activity IDs (comma-separated)
lead_idlist of strings or nullOptional
Filter by lead IDs (comma-separated)
contact_idlist of strings or nullOptional
Filter by contact IDs (comma-separated)
user_idlist of strings or nullOptional
Filter by user IDs (comma-separated)
organization_idstring or nullOptional
_typelist of strings or nullOptional
Filter by activity type, e.g. Call (comma-separated)
date_created__gtedatetime or dateOptional
date_created__ltedatetime or dateOptional
date_created__gtdatetime or dateOptional
date_created__ltdatetime or dateOptional
activity_at__gtedatetime or dateOptional
activity_at__ltedatetime or dateOptional
activity_at__gtdatetime or dateOptional
activity_at__ltdatetime or dateOptional
lead_id__instringOptional
user_id__instringOptional
contact_id__instringOptional
_type__instringOptional
_fieldsstringOptional
Comma-separated list of fields to include in the response.
_order_bystringOptional
Response
Successful response
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
To list only a specific activity type (e.g., only Call or LeadStatusChange), use the other resources listed separately. When querying activities for a single lead (using the lead_id parameter), you can ask for multiple activity types using _type__in.
When listing Custom Activities, _type and _type__in can include Custom Activity Type ids (e.g. actitype_1h5m6uHM9BZOpwVhyRJb4Y) to filter by a specific custom activity type or Custom to list custom activities of any type.
The following filtering parameters can only be used for listing activities on a single lead (using the lead_id parameter): user_id, user_id__in, contact_id, contact_id__in, _type, _type__in.
All activities have two sortable datetime fields: date_created and activity_at. date_created denotes when an activity was created or synced into Close and activity_at denotes when that activity actually occurred. For example, on outgoing Email activities, date_created is equal to when the email was first created in Close, and activity_at is equal to when the email was actually sent. For Meeting activities, activity_at is equal to the scheduled time of the meeting. On custom activities, users are able to update the activity_at field at any time.
Sorting by -activity_at can only be used when listing activities on a single lead using the lead_id parameter. In addition, you can only use the date-based filters of the field you’re currently sorting on. This means that if you want to use activity_at__lt and activity_at__gt as filters, you need to include _order_by=-activity_at in your request.
thread_emails parameter:
(Default) when this parameter is not present, Email objects will be returned for each email message.
A value of true will return EmailThread objects representing email conversations. Stripped-down version of Email objects will also be returned.
A value of only will return EmailThread objects representing email conversations. Email objects will not be returned.